\documentclass[a4paper]{article}

\usepackage{graphicx} % Required for inserting images
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}
\usepackage{amsmath}
\usepackage{amsthm}
\usepackage{amssymb}
\usepackage[numbers]{natbib}
\usepackage{pgfplots}
\usepackage[version=4]{mhchem}
\pgfplotsset{width=7.5cm,compat=1.9}
\usepackage{subfigure}
\usepackage{geometry}
\usepackage[hidelinks]{hyperref}
\usepackage[makeroom]{cancel}
\usepackage{pdflscape}
\usepackage{makecell}
\usepackage{tikz}
\usepackage{upgreek}
\usepackage{lineno}
\usepackage{xr}

\hypersetup{
    colorlinks=true,
    linkcolor=blue,
    filecolor=magenta,
    citecolor=blue,
    urlcolor=blue,
    pdftitle={Analytic solutions},
}
\geometry{top=2cm,bottom=2cm,left=1.75cm,right=1.75cm}

\setlength{\parindent}     {0cm}
\setlength{\parskip}       {0.3cm}

\newtheorem{theorem}{Theorem}[section]
\newtheorem{lemma}[theorem]{Lemma}
\include{math}
\externaldocument[]{supplementary}

% ------------------------------------------------------

\begin{document}

\title{Optimal enzyme profiles in unbranched metabolic pathways}
\author{Elad Noor$^{1*}$ and Wolfram Liebermeister$^{2*}$}
\date{}

\maketitle

$^1$ Department of Plant and Environmental Sciences, Weizmann Institute of Science, 76100 Rehovot, Israel\\
$^2$ Universit\'e Paris-Saclay, INRAE, MaIAGE, 78350 Jouy-en-Josas, France\\
$*$ Corresponding authors, equal contributions


\begin{abstract}
  How to optimize the allocation of enzymes in metabolic pathways has been a topic of study for many decades. Although the general problem is complex and non-linear, we have previously shown that it can be solved by convex optimization. In this paper, we focus on unbranched metabolic pathways with simplified enzymatic rate laws and derive analytic solutions to the optimization problem. We revisit existing solutions based on the limit of mass-action rate laws and present new solutions for other rate laws. Furthermore, we revisit a known relationship between flux control coefficients and enzyme abundances in optimal metabolic states. We generalize this relationship to models with density constrains on enzymes and metabolites, and present a new local relationship  between optimal reaction elasticities and enzyme amounts. Finally, we apply our theory to derive simple kinetics-based formulae for protein allocation during bacterial growth.
\end{abstract}

\textbf{Keywords}\\
Metabolic pathway, enzymatic rate law, enzyme demand, optimization, protein allocation, bacterial growth law

\textbf{Abbreviations} \\
ECM -- Enzyme Cost Minimization\\
PSA -- Pathway Specific Activity\\
MDF -- Max-min Driving Force method

\clearpage

\section{Introduction}

The idea that living beings show optimal shapes or behavior has a very long history. A process like evolution, which combines random mutations with a selection for favorable properties, could potentially lead to optimization, but the question of \textit{if} and/or \textit{when} should we expect living beings to function optimally has been widely debated and is far from solved. In practice, it can be useful to invoke optimality principles to seek insights and design principles that might be relevant in naturally evolved systems \cite{Rosen1967}.  Specifically, cell metabolism has often been studied using this approach \cite{DekelAlon2005,SchutzZamboni2012}, thanks to the powerful mathematical models that we have to describe it. But although natural selection has been the main inspiration for this study, the evolutionary aspects of pathway optimization are not discussed here, and are rather left for the reader to reflect upon.

Within cells, protein is arguably the most important and central resource, both in terms of contributing to fitness, but also since protein synthesis requires large amounts of energy, metabolic precursors, and ribosomes, and the proteins themselves occupy a significant portion of cellular space. Therefore, a cell should generally save protein wherever it can. This notion, specifically for enzymes, has been mathematically applied in genome-scale metabolic models \cite{BegVazquez2007,TepperNoor2013}, models of core metabolism \cite{WortelNoor2018}, and in direct comparisons between pathways \cite{FlamholzNoor2013,NoorFlamholz2016}. Since the proteome is a limiting resource, its allocation to different sectors (metabolism, translation, etc.) is a topic of high interest. In some works people assumed optimality. Other papers assumed a general rule based on linear growth rate control. Interestingly, even a very simple linear chain model, with two reactions representing metabolism and protein synthesis and with a bound on the total protein budget, has been successful in explaining bacterial growth laws and overflow metabolism \cite{ScottGunderson2010,BasanHui2015}. However, these bacterial growth law models did not consider enzyme kinetics.

Here, we focus on a special case of this cost/benefit analysis: the efficient use of metabolic enzymes in unbranched pathways operating at steady-state, giving priority to scenarios that can be solved analytically. We explore several types of kinetic rate laws and introduce the idea of  bounding the total metabolite concentration (which is required in some cases for meaningful results). To define states of maximal enzyme efficiency, we can consider two equivalent optimality problems: maximizing a production flux at a given enzyme budget or minimizing protein usage at a given required production flux. In both cases, we maximize the production flux per enzyme usage within the given constraints. If the product of the pathway is directly tied to biomass, the overall enzyme efficiency, called ``biomass/enzyme efficiency'', can serve as a proxy for cell growth \cite{WortelNoor2018}. Furthermore, this optimality problem is also relevant in other contexts, such as metabolic engineering of synthetic pathways using a set of existing and/or new-to-nature enzymes with known kinetic parameters \cite{BarEvenNoor2010,LoweKremling2021}.

Another perspective often used to analyze metabolic systems is through their control, e.g.~the effect of changes in a level of an enzyme on  pathway flux \cite{HeinrichSchuster2012}. In optimal metabolic states with a bound on the sum of enzyme levels, each enzyme effectively carries an opportunity cost. This cost must be balanced by a marginal benefit, given by the flux control coefficient -- as defined in Metabolic Control Analysis (MCA) \cite{KacserBurns1973, HeinrichRapoport1974, HeinrichSchuster2012}. Hence, for systems in optimal states, there are simple relationships between enzyme abundance and flux control \cite{Brown1991,HeinrichKlipp1996,KlippHeinrich1999}. We will recapitulate these results below, generalize them to models with a density constraint on enzyme and metabolite levels and illustrate them using some of our analytic solutions. In addition, we present a simple rule that links optimal enzyme investments around a given metabolite to the reaction elasticities of this metabolite.

Finally, we show how the analytic solutions derived here might be useful for modeling phenomena on the level of entire cells such as the Monod curve (i.e.~the relationship between the concentration of a limiting nutrient and the growth rate of bacteria \cite{Monod1949}). We use this model to demonstrate how each kinetic parameter should affect the growth rate under different conditions.

In summary, this paper revisits the question of optimal enzyme allocation and adds to previous results. We focus on unbranched metabolic pathways, extend the optimality problem, discuss new optimality conditions, and present analytic solutions that directly show how different factors determine optimal enzyme levels and fluxes. We discuss general principles, in particular how optimal enzyme levels reflect flux control and local reaction elasticities, and use our theory to derive formulae for kinetics-based bacterial growth.

\section{Results}

\subsection{Optimal states of unbranched pathways}

One of the first attempts at analytically solving the enzyme allocation problem was published by \citet{Waley1964}, who studied short pathways of 2-3 reactions while assuming that the concentrations of metabolites (which were denoted \textit{linking intermediates}) are much below the enzymes' $\km$ values, and therefore affect the flux linearly. Given the total amount of catalytically active protein (bounded by $\etotPW$), the relative enzyme concentrations should be such that they maximize rate (see Figure \ref{fig:OptimalityProblem}). Based on these assumptions, one can derive simple formulae for the optimal enzyme levels and maximal pathway flux. Later studies repeated this result and generalized it to linear pathways of any size \cite{Burns1971,HeinrichKlipp1996,KlippHeinrich1999}. Here, we will revisit this general solution and extend it to other types of rate laws beyond the one considered by \citet{Waley1964} (which, from now on, we will refer to as \textit{mass-action}).

\begin{figure}[t!]
\includegraphics[width=0.5\textwidth]{figure_1.pdf}
\caption{Optimal enzyme levels in unbranched metabolic pathways. In the basic optimality problem in this paper, we consider a chain of reactions and ask how a given protein budget should be spent on metabolic enzymes to achieve a maximal steady-state flux. If the efficiencies (i.e.~the reaction rates per catalyzing enzyme) of all the enzymes were known, the steady-state flux would determine the enzyme levels, and there would be nothing to optimize. Here we assume that the enzyme efficiencies can be adjusted by choosing the metabolite concentrations (not shown), and we search for the optimal metabolite and enzyme profile. The aim is to maximize the flux at a given total enzyme amount (bottom) and possibly under a constraint on metabolite concentrations (top). The flux ratios between reactions are predefined, for example assuming equal fluxes in all the reactions (right).
}
\label{fig:OptimalityProblem}
\end{figure}

Consider the following unbranched pathway \cite{SchusterHeinrich1991} (Figure \ref{fig:OptimalityProblem}):
\begin{equation}
	\mbox{S}_0 \ce{<=>[v_1]} \mbox{S}_1 \ce{<=>[v_2]} \ldots \ce{<=>[v_n]} \mbox{S}_n
\end{equation}
In a kinetic model, each variable $\smet{i}$ represents the concentration of a metabolite $i$ and each variable $\enzymei$ represents the level (molar concentration or mass concentration) of the enzyme catalyzing reaction $i$. Imagine that the total enzyme level in the pathway is bounded by $\etotPW$, i.e.~
\begin{equation}
 \label{eqn:enzyme_total}
	\sum_i \enzymei \leq \etotPW\,.
\end{equation}
What would be the optimal strategy for distributing this resource between the reactions in order to maximize the steady-state flux? To answer this question, we need to know how the rate of each reaction depends on the levels of enzyme, substrate, product, as well as kinetic parameters. This is described by rate laws. For some rate laws, we can solve the optimization problem and obtain an analytic solution that describes exactly how much of each enzyme should be allocated. Below, we will also consider a variant of this problem with an extra bound on the sum of metabolite levels or with fixed initial and final metabolites ($\smet{0}$ and $\smet{n}$).


\begin{figure}
    \includegraphics[width=0.9\textwidth]{figure_2.pdf}
    \caption{The Haldane rate law and some simplified rate laws. Simplified rate laws are obtained as limiting cases by setting efficiency terms $\etarev$ or $\etakin$ to 1 or another constant value (see Figure \ref{fig:haldaneEfficiencyAndDemand}) or by assuming that reactant concentrations are small (in the case of the mass-action rate law). For the enzyme optimality problem in unbranched pathways, we do not know of any analytic solutions for the Haldane rate law. We report here solutions for the other, simplified rate laws (where the solution for the thermodynamic rate law contains an unknown auxiliary parameter). Symbols are explained in the text.
}
\label{fig:RateLaws}
\end{figure}

Since single analytic solutions are rare but instructive, we explore them in this article. We consider four different rate laws (summarized in Figure \ref{fig:RateLaws}): the general Haldane rate law (saturable and reversible) which has no analytic solution, and three solvable approximations derived from it. As explained above, the \textit{enzyme levels} $\enzymei$ may either refer to molar concentrations or mass concentrations (depending on the modeler's preference). In the case of molar concentrations, the $\kcat$ values are catalytic constants (e.g.~in units of  1/s). In the case of mass concentrations, the $\kcat$ values are specific activities (e.g.~in units of $\upmu$mol $\times$ min$^{-1}$ $\times$ mg$^{-1}$).

\begin{itemize}
\item \textbf{Reversible saturable rate law (``Haldane'')} As a general rate law for a reaction $\mathrm{S} \leftrightarrow \mathrm{P}$, we consider the reversible saturable rate law
\begin{align}\label{eqn:hoh_cord}
\flux = \enzyme ~ \frac{\kcatplus ~ s/\kmx{S} - \kcatminus ~ p/\kmx{P}}{1 + s/\kmx{S} + p/\kmx{P}}
\end{align}
with Michaelis-Menten constants $\kmx{S}$ and $\kmx{P}$,
which can be factorized into
\begin{align}
\label{eqn:factorized_rate_law}
\flux = \enzyme ~\kcatplus~ \underbrace{(1-e^{-\theta})}_{\etarev(\theta(s,p))} ~
\underbrace{\frac{s/\kmx{S}}{1+ s/\kmx{S} + p/\kmx{P}}}_{\etakin(s,p)},
\end{align}
with the thermodynamic driving force $\theta(s,p) = \ln(\Keq~s / p)$, the thermodynamic force efficiency $\etarev$ and the saturation efficiency $\etakin$ (see Figure  \ref{fig:haldaneEfficiencyAndDemand}). Note that the driving force can also be defined as $-\Delta G'$ which is equal to $RT\ln(\Keq~s / p)$, but here we drop the gas constant $R$ and temperature $T$ to have a unitless (positive) variable. The two efficiency terms can only assume values between 0 and 1. This factorized formulation of the Haldane rate law is equivalent to the one in Eq.~(\ref{eqn:hoh_cord}), based on the constraint that $\Keq = \kcatplus / \kcatminus \cdot \kmx{P}/\kmx{S}$, which is commonly known as the \textit{Haldane relationship} (see \cite{NoorFlamholz2013} for more details).
This rate law is the most realistic one that we discuss in this work, and deriving it requires only a few assumptions. However, it is also the most mathematically complex and therefore most questions we raise below do not have analytic solutions. So, in addition, we  consider three simplified rate laws as limiting cases.

\item \textbf{Mass-action rate law} A very common approximation for enzymatic rate laws (the one also made by \citet{Waley1964}) is based on the limit of low metabolite concentrations ($s \ll \kmx{S}$ and $p \ll \kmx{P}$). In this case, the concentration-dependent terms in the denominator (i.e., $s/\kmx{S} + p/\kmx{P}$) can be neglected and we get:
\begin{align}\label{eqn:mass_action_rate_law}
    \flux = \enzyme ~(\kcatplus ~ s/\kmx{S} - \kcatminus ~ p/\kmx{P})
\end{align}
There are many equivalent ways to write down this rate law. For instance, we can apply the same approximation to the factorized form in Eq.~(\ref{eqn:factorized_rate_law}) to get $\flux = \enzyme ~\kcatplus~(1-e^{-\theta})~ s/\kmx{S}$, and we can further replace $\theta$ with its explicit definition based on reactant concentrations and write $\flux = \enzyme ~ \kcatplus/\kmx{S} ~ (s - p/\Keq)$.
Another common form for this rate law is based on the first-order rate constants $k_+ \equiv \kcatplus/\kmx{S}$ and $k_- \equiv \kcatminus / \kmx{P}$. Using them in Eq.~(\ref{eqn:mass_action_rate_law}) looks like this: $\flux = \enzyme ~ (k_+ s - k_- p)$. As the rate law resembles mass-action kinetics for non-enzymatic reactions, we will refer to this as the ``mass-action'' rate law although here the enzyme level appears as a prefactor. Throughout this paper we will switch between these four different notations based on convenience.

\item \textbf{Thermodynamic rate law} If the saturation efficiency $\etakin$ is approximated by 1 (e.g.~in the limit $s \gg \kmx{S}$ and $p \ll \kmx{P}$), we obtain:
\begin{align}
\flux = \enzyme ~ \kcatplus~\left(1 - \frac{p}{s} ~\frac{1}{\Keq}\right) = \enzyme ~ \kcatplus (1-e^{-\theta}).
\end{align}
We will also consider a special case of this rate law where  $\theta \rightarrow 0$ and therefore $p/s \approx \Keq$, i.e.~the reaction is close-to-equilibrium. In this case the rate law becomes $\flux = \enzyme ~ \kcatplus ~ \theta$.

\item \textbf{Irreversible saturable rate law (``Michaelis-Menten kinetics'')}  We next assume that both $p \ll s~\Keq$ (which means that $\theta \rightarrow \infty$ and therefore the thermodynamic force efficiency $\etarev$ can be approximated by 1) and also $p \ll \kmx{P}$ (so we can drop $p/\kmx{P}$ from the denominator in $\etakin$). In this case, we obtain the Michaelis-Menten rate law
\begin{align}
\flux = \enzyme ~\kcatplus~\frac{s}{s + \kmx{S}},
\end{align}
which depends on the substrate, but not on the product concentration.
Originally, \citet{MichaelisMenten1913} developed this irreversible rate law by assuming that the rate of enzyme-substrate binding is very fast compared to catalysis, and that the catalytic step is irreversible. The assumptions made here lead to the same result but are less stringent.
\end{itemize}

In the approximations, instead of setting the thermodynamic or saturation efficiencies to their maximal value of 1, we may also approximate them by constant numbers smaller than 1; we obtain exactly the same rate laws, but instead of the $\kcat$ value we obtain a smaller apparent value in the approximated rate law.


\begin{figure}[t!]
    \includegraphics{figure_3.pdf}
    \caption{The Haldane rate law and its factorization into efficiency terms. (a) The Haldane rate law. In the factorized form (right), thermodynamic and saturation effects are described by separate efficiency factors. (b) The saturation efficiency as a function of the substrate (in log-scale, relative to the $\kmx{A}$), assuming $b \ll \kmx{B}$.  (c) The thermodynamic force efficiency as a function of the driving force $\theta$. (d) A surface plot showing the rate $v$ as a function of $\theta$ and the substrate concentration (in log-scale, relative to the $\kmx{A}$). The parameters are $\Keq = \kmx{A} =\kcat = \enzyme = 1$ and $\kmx{B} = 10$. (e) A surface plot showing the enzyme demand for a given rate ($v = 1$). All kinetic parameters are the same as in (d). }
\label{fig:haldaneEfficiencyAndDemand}
\end{figure}


% --------------------------------------------------------------------
\subsection{Analytic formulae for unbranched metabolic pathways}

How can we characterize metabolic states by using analytic formulae? Here we consider chains of uni-uni reactions, or reactions in which all reactant concentrations except for one substrate and one product are given as model parameters. For such an unbranched pathway with a given type of rate laws (e.g.~mass-action or Michaelis-Menten rate laws), we are interested in  formulae for a number of quantities:

\begin{enumerate}
\item \textbf{Metabolic steady state} Given the enzyme levels, external metabolite concentrations, and kinetic constants, we can directly compute the stationary fluxes and internal metabolite concentrations.  For general metabolic networks, no explicit formulae are known, but for unbranched pathways with some simplified rate laws, explicit formulae exist.  Incidentally, this also shows that in these models the steady state concentrations are unique.

\item \textbf{Stability of steady state}  If the Jacobian matrix in a steady state has positive eigenvalues, the state is asymptotically unstable and is not able to persist under (inevitable) chemical noise in the cell. Stability is a prerequisite for metabolic control coefficients being defined. A sufficient (but not necessary) condition for stable steady states in unbranched metabolic pathways is given in supplementary section \ref{Sec:Appendix:stability}.

\item \textbf{Metabolic control} The metabolic response coefficients $R^X$ are defined in Metabolic Control Analysis as the derivatives between steady-state concentrations or fluxes and model parameters (e.g.~the enzyme levels). If two model parameters act (exclusively) on the same reaction, all their response coefficients will be the same except for a proportional scaling. Taking this into account, one can define the metabolic control coefficients $C^X$, which describe the same type of derivatives, but for a set of hypothetical, reaction-specific parameters. In practice, if reaction rates are proportional to enzyme levels and if each reaction is catalyzed by a single specific enzyme, we can write the enzyme response coefficients as $R^X_{\enzyme_l} = C^X_{l} \cdot \frac{v_l}{\enzyme_l}$.
Importantly, throughout this paper we use elasticities, response coefficients, and control coefficients in their unscaled form, for instance unscaled enzyme response coefficients $R^\fluxJ_{\enzyme_i} = \partial \fluxJ / \partial \enzyme_i$ instead of the common scaled form $\frac{\enzyme_i}{\fluxJ}\frac{\partial \fluxJ}{\partial \enzyme_i} = \frac{\partial \ln \fluxJ}{\partial \ln \enzyme_i}$.

The metabolic control coefficients can be computed from the stoichiometric matrix and the elasticity matrix, and they satisfy summation and connectivity theorems. They can be computed in two ways: if an analytic formula for the metabolic steady state is known (as is the case in some unbranched pathway models studied below), we may differentiate symbolically by the enzyme levels; otherwise, we may compute the elasticity coefficient matrices by differentiating the rate laws, and then compute the control coefficient matrices from them using a known formula; however, since this formula involves a matrix inversion, writing this down as an analytic formulae may be extremely complicated, and control coefficients are usually computed numerically. Symbolic expressions for metabolic control coefficients can be conveniently handled by the \textsc{PySCeSToolbox} \cite{Christensen2018-yw}. Another way to compute control coefficients, which follows from the enzyme-control rule and works only in optimal states, as described below.

\item\textbf{Optimal metabolic states} In our basic metabolic optimality problem, we define optimal states as states in which a given enzyme budget (fixed sum of enzyme levels) is allocated to maximize a production flux. Kinetic constants and external metabolites are given, and we compute the optimal metabolite profile, the optimal enzyme profile, and the optimal flux. If the flux distribution is known (e.g.~a steady-state flux in an unbranched pathway) and increases or decreases proportionally with the enzyme levels, this problem is equivalent to the problem of minimizing the enzyme demand at a given (unit) flux. This convex problem can be solved numerically \cite{LiebermeisterNoor2015}, but analytic solutions were known only for very few cases. Below we present some new analytic solutions. Formulae for optimal enzyme levels and the optimal achievable flux are shown below, in Table \ref{tab:AnalyticalFormulae1}. We also consider a related problem, maximizing the flux under a constraint on the total enzyme plus metabolite amount.

\item \textbf{Metabolic control in optimal states} The control coefficients tell us how a metabolic system responds to perturbations (resulting in a new state that is stationary, but probably non-optimal). For optimal states (with a constraint on the sum of enzyme levels), the enzyme-control rule states that enzyme levels and flux control coefficients must be proportional. Since we know (from the summation theorem) that the control coefficients must sum to 1, we can conclude: whenever there is an analytic formula for optimal enzyme levels, we obtain a formula for the control coefficients. Below we extend this to models with general density constraints on enzymes and metabolites, and derive an additional rule that relates enzyme levels to metabolite elasticities around each metabolite.
\end{enumerate}

% ------------------------------------------------------------------
\subsection{Optimal metabolic states: analytic solutions}

What are the general principles behind optimal enzyme allocation? One  important principle, valid in optimal metabolic states, has been shown for pathways with mass-action rate laws \cite{Burns1971} and later confirmed for general rate laws  \cite{HeinrichKlipp1996}: in optimal states, where the metabolic flux has been maximized at a fixed enzyme budget, enzyme levels and flux control coefficients must be proportional:
\begin{align}
\label{eq:EnzymeControlRule}
\opt{\enzyme}_i \propto \opt{\Cvi}.
\end{align}
Here the star $\opt{}$ denotes variables in the optimal state.

To derive this rule, we note that in an optimal state each enzyme has a marginal cost (contribution to the enzyme budget, per mol of enzyme) which must be balanced by the same marginal benefit (contribution to the production flux, per mol of enzyme). If all enzymes contribute to the enzyme budget with equal weights, their marginal costs are the same. This means that also their marginal benefit must be the same, which are given by the  (unscaled) flux response coefficients $R^\fluxJ_{e_l}=\frac{\partial v^{\rm st}}{\partial e_l}$. This, finally, means that their flux control coefficients $C^\fluxJ_{l}= \frac{\partial v^{\rm st}}{\partial e_l} / (\frac{v^{\rm st}}{e_l})$ must be proportional to the enzyme levels $e_l$.

Together with the summation theorem for flux control coefficients \cite{KacserBurns1973,HeinrichRapoport1973}, $\sum_i \Cvi=1$, we obtain the conversion formulae
\begin{align}
\Cvi = \frac{\eopti}{\sum_j \eoptj} \qquad \mbox{and} \qquad \eopti = \etotPW ~\Cvi.
\end{align}

The enzyme-control rule (\ref{eq:EnzymeControlRule})  provides a condition for metabolic states,  independent of the type of rate laws considered. Importantly, it holds only in states of maximal flux, given a fixed total  enzyme amount and no other constraints.
More realistic models employ also bounds on metabolite levels \cite{SchusterHeinrich1991,TepperNoor2013,DouradoMori2021}
for different reasons. First, metabolite levels are bounded in real cells: while metabolite molecules may be small, their concentration is high, and they contribute much more than macromolecules to osmotic pressure. Second, as we will see below, some models without metabolite bounds lead to paradoxical results. We will therefore present a generalized version of the enzyme-control rule that takes metabolite bounds into account.

But what are the general shapes of optimal enzyme profiles, i.e.~how do enzyme levels vary across the network? And on what factors (kinetic, thermodynamic, or cost factors) does this depend? To answer this, the enzyme-control rule alone would not be enough (because no kinetic details appear in the rule). Also numerical studies would not be enough (because they apply to single cases and yield no general laws). Hence, to study this, it would be good to consider analytic solutions. Unfortunately, analytic solutions are not known for general metabolic models, but rather only for special cases of unbranched pathways (such as ones with mass-action rate laws \cite{Waley1964}).

We now present analytic formulae for optimal metabolic states with different types of rate laws. We discuss the rate laws in increasing order of difficulty.
An overview of all analytic solutions is given in Table \ref{tab:AnalyticalFormulae1}.


\begin{table}[t]
\centering
\scalebox{0.65}{

{\def\arraystretch{4}\tabcolsep=8pt
\begin{tabular}{c|c|c|c|c}
    \makecell{\textbf{Name} \\ \textbf{(assumptions)}} & \makecell{\textbf{Enzymatic rate law:} \\ $\fluxi / \enzymei = $} & \makecell{\textbf{Comments / definitions} \\ ~}& \makecell{\textbf{Optimal enzyme}\\ \textbf{allocation:} $\opt{\enzymei} \propto$} & \makecell{\textbf{Minimum pathway cost} \\ \textbf{per flux:} $\etotPW / \opt{\fluxJ} = $}
    \\
    \makecell{Trivial \\ (irreversible, saturated)} & $\kcati$ & \makecell{$\parthr_i \equiv 1/\kcati$} & $\parthr_i$ & $\normone{\parthr}$
    \\
    \makecell{Michaelis-Menten \\ (irreversible, saturable)} & $\kcati ~ \frac{\smet{i-1}}{\smet{i-1} ~+~ \kmi}$ & \makecell{$\parmm_i \equiv \kmi / \kcati$ \\ $\sum_i \smet{i} \leq \Stot$} &
    $ \parthr_i + \sqrt{\parmm_i ~\normhalf{\parmm}} / \Stot$
    & $\normone{\parthr} + \normhalf{\parmm} \Big/ \Stot$
    \\
    \makecell{Thermodynamic \\ (reversible, unsaturable)} & $\kcati \cdot \left(1 - \frac{\smet{i}}{\smet{i-1}\Keqi}\right)$ & \makecell{Find $\Psi$ s.t. \\ $\prod_i \left(\sqrt{\Psi \parthr_i} + \sqrt{1 + \Psi \parthr_i }\right) = \sqrt{\frac{\smet{0}}{\smet{n}}\Keqtot}$} & $\parthr_i  \left(\frac{1}{2} + \frac{1}{2}\sqrt{1 + (\Psi \parthr_i)^{-1}} \right)$ & $\sum_i \parthr_i \left(\frac{1}{2} + \frac{1}{2}\sqrt{1 + (\Psi \parthr_i)^{-1}} \right)$
    \\
    \makecell{Thermodynamic \\ (approximate solution)} & $\kcati \cdot \left(1 - \frac{\smet{i}}{\smet{i-1}\Keqi}\right)$ & Same as above & No explicit formula & $\normone{\parthr} \cdot \left( 1 - \exp{
        \left(
        -\frac{\normone{\parthr}}{\normhalf{\parthr}}\thetatot\right)
    } \right)^{-1}$
    \\
    \makecell{Mass-action \cite{Waley1964}\\ (reversible, unsaturable)} & $\kcati \cdot \left(1 - \frac{\smet{i}}{\smet{i-1} \Keqi}\right) \frac{\smet{i-1}}{\kmi} $ & \makecell{$\smet{0} =$ const, $\smet{n} =$ const \\
    $\parma_i \equiv \parmm_i \cdot \prod_{j=i}^{n} \Keqj$} & $\sqrt{\parma_i}$ & $\normhalf{\parma} \Big/ \left(\smet{0} - \smet{n}/\Keqtot\right)$
    \\
    \makecell{Haldane \\ (reversible, saturable)} & $\kcati \cdot \left(1 - \frac{\smet{i}}{\smet{i-1}\Keqi}\right) \frac{\smet{i-1}/\kmxi{S}}{1 + \smet{i-1}/\kmxi{S} + \smet{i}/\kmxi{P}}$ & \makecell{No known solution, \\ use convex optimization solver} & &
\end{tabular}
}
}
\caption{A summary of all the rate laws considered in this paper, along with their solutions for optimal enzyme allocation and the resulting minimum pathway cost per flux. The rate laws are roughly ordered by increasing level of complexity. The ``trivial'' rate law does not have its own section in the text, but is shown here as the limit of the Michaelis-Menten rate law when $\smet{i-1} \gg \kmi$, as well as the thermodynamic rate law when $\Keqtot~\smet{0}/\smet{n} \rightarrow \infty$. The ``mass-action'' rate law shown in this table is equivalent to the form used in previous studies \cite{Waley1964,Brown1991,HeinrichKlipp1996}. Here it is shown in a modified form for the purpose of using the same set of kinetic parameters as the other rate laws. In order to calculate the absolute optimal enzyme levels from the relative ones (given in the column titled \textit{Optimal enzyme allocation}), one can use $\opt{\enzyme}_i = \etotPW \frac{x_i}{\sum_j x_j}$ where $x_i$ are the relative values.}
\label{tab:AnalyticalFormulae1}
\end{table}


\subsubsection{Michaelis-Menten rate law}
\label{Sec:MichaelisMenten}

We first consider the Michaelis-Menten rate law (i.e. irreversible reactions with simple saturation kinetics):
\begin{equation}\label{eqn:ana_mm}
	\fluxi = \enzymei \cdot \kcati~\frac{\smet{i-1}}{\smet{i-1} + \kmi}\,.
\end{equation}

In an unbranched pathway at steady state, all rates must be equal. To describe them, we introduce a new variable $\fluxJ$ called the pathway flux, and require that $\forall i~\fluxi = \fluxJ$. Now we can use Eq.~(\ref{eqn:ana_mm}) to find a relationship between substrate and enzyme levels:
\begin{equation}
	\enzymei = \frac{\fluxJ}{\kcati} \cdot \left( 1 + \frac{\kmi}{\smet{i-1}} \right)
 =  \fluxJ \left( \parthr_i + \frac{\parmm_i}{\smet{i-1}} \right)
\end{equation}
where we defined $\parthr_i \equiv 1/\kcati$ and $\parmm_i \equiv \kmi/\kcati$ for convenience.

Combining this equation with an upper bound on total enzyme from Eq.~(\ref{eqn:enzyme_total}) we get that:
\begin{equation}
	\etotPW \geq \sum_i \enzymei = \sum_i \fluxJ ~\left( \parthr_i + \frac{\parmm_i}{\smet{i-1}} \right) = \fluxJ  \left( \sum_i \parthr_i + \sum_i\frac{\parmm_i}{\smet{i-1}} \right)
\end{equation}
and by rearranging we obtain:
\begin{equation}
	\fluxJ \leq \frac{\etotPW}{\sum_i \parthr_i + \sum_i\frac{\parmm_i}{\smet{i-1}}} \label{eqn:michaelis_menten_bound}.
\end{equation}

Maximizing $\fluxJ$ would mean that we reach the upper bound, and therefore we can also treat this as an equality. Since $\etotPW$ is constant and the only free variables are the metabolite concentrations, the maximal flux is reached when the denominator on the right-hand side is minimized. The problem is that it is a monotonically decreasing function in $\smet{i}$ (for each $i$) and since metabolite concentrations are unbounded, the optimum would be at $\smet{i} \rightarrow \infty$ which, formally, is not a mathematically defined state. But even if we consider this as a limit, the resulting state would not be controllable, but instead very fragile against any changes of enzyme levels (see supplementary section \ref{sec:WhyEnzymeControlRuleFails}). In reality, of course, the range of physiological osmotic pressures does impose some constraint on the concentrations of small molecules. As a proxy for this effect, we can add another constraint to bound the sum of all metabolite concentrations, $\sum_i \smet{i} \leq \Stot$. Now, one can show (see supplementary section \ref{Appendix:mm_derivation}) that the optimal allocation of enzymes will obey:
\begin{equation}\label{eqn:allocation_for_MM}
    \opt{\enzymei} \propto \parthr_i + \sqrt{\parmm_i} \cdot \frac{\sqrt{\normhalf{\parmm}}}{\Stot}
\end{equation}
where $\boldsymbol{\parmm}$ is the vector of all $\parmm_i$ and $\normhalf{\mathbf{x}}=(\sum_i \sqrt{x_i})^2$ is the l$_{1/2}$ norm (i.e., $\normhalf{\parmm} \equiv \left(\sum_i{\sqrt{\parmm_i}}\right)^2$). In this case, the maximal flux would be:
\begin{equation}
    \opt{\fluxJ} = \etotPW \cdot \left(\normone{\parthr} + \normhalf{\parmm} / \Stot\right)^{-1}\,.
\end{equation}

Note that the solution looks essentially the same even if we constrain the first metabolite ($\smet{0}$) to have a fixed concentration (see supplementary section \ref{Appendix:sec:mm_with_fixed_s0}). We will revisit this case in section \ref{sec:CellModel} in the context of a course-grained model of a growing cell.

If the metabolite density constraint is not very tight (i.e.~$\Stot$ is large enough), we can ignore the second term in Eq.~(\ref{eqn:allocation_for_MM}), which would be equivalent to assuming all enzymes are substrate-saturated. In this case, the optimal allocation of enzymes will be proportional to $\parthr_i$ (or inversely proportional to $\kcati$) and therefore:
\begin{equation}\label{eqn:PSA}
\lim_{\Stot \rightarrow \infty}	\opt{\fluxJ} = \etotPW \cdot \left(\normone{\parthr}\right)^{-1}\,.
\end{equation}
Interestingly, $\normone{\parthr}$, which is equal to the sum of $\kcat$ reciprocals, is in fact the inverse of the \textit{Pathway Specific Activity} (PSA) as originally defined by \citet{BarEvenNoor2010}. Indeed, the idealized scenario considered in that study (where all enzymes were irreversible and saturated) provides an upper bound on the maximal flux achievable. Interestingly, if we see the $\alpha_i = 1/\kcati$ as minimal enzymatic turnover times and $\alpha_{\rm PW} = \etot/\fluxJ$ is the turnover time of the pathway, we can simply rephrase Eq.~(\ref{eqn:PSA}) by saying that, like in the case of the PSA, turnover times along a pathway are additive. In fact, this holds more generally for any rate law $v_i=e_i ~k_i(\mathbf{s})$, if the enzyme turnover times are defined as $\tau_i=1/k_i$, and resembles the fact that electric resistances in a series of resistors are additive.

One of the reasons the irreversible Michaelis-Menten model is unrealistic is that it does not capture reactions that are close to equilibrium and therefore suffer from a counter-productive reverse flux. This is yet another reason why it might be impossible for some metabolites to reach very high concentrations: they might be products of unfavorable reactions. In most metabolic networks, about half of the reactions are reversible and therefore it would be more realistic to use a reversible rate law such as Haldane's. However, using the Haldane equation would typically create a system of equations for which no analytic solution is known. So, first, we will consider rate laws that account for the reverse flux but, for simplicity, ignore substrate saturation.

\subsubsection{Thermodynamic rate law}
\label{Sec:AnalyticalSolutions_thermodynamic}

Irreversible rate laws like the Michaelis-Menten kinetics depend only on the substrate concentration; in the formula there is no product-dependent reverse term that would decrease the total rate or could make it become negative. However, according to thermodynamics such laws can only be  approximations: thermodynamically feasible rate laws must contain a reverse term and must depend on the thermodynamic imbalance of substrate and product concentrations expressed by the thermodynamic driving force.  Some rate laws can even be written as functions of the thermodynamic force alone. Here we describe such a ``thermodynamic'' rate law, where $\flux$ is proportional to the thermodynamic force efficiency $1-\mbox{e}^{-\theta}$, while the saturation efficiency $\etakin$ is assumed to be constant:
\begin{equation}
  \label{eqn:ana_thermo}
	\fluxi = \enzymei ~ \kcati \left(1 - e^{-\theta_i}\right) = \enzymei~\kcati \left(1 - \frac{\smet{i}}{\smet{i-1}} ~\frac{1}{\Keqi}\right)\,.
\end{equation}
This type of kinetics approximates cases where all reactions are saturated ($\smet{i} \gg \kmi$), and therefore the thermodynamic force efficiency $\etakin$ in Eq.~(\ref{eqn:factorized_rate_law}) becomes 1. The parameters here are the turnover numbers $\kcati$ and the equilibrium constants $\Keqi$. However, as we will learn soon, the individual $\Keqi$ do not change the result, and only the overall equilibrium constant ($\Keqtot = \prod_i \Keqi$) matters.

As before, we can define the steady-state pathway flux $\fluxJ$ and apply an upper bound on the total enzyme to get:
\begin{align}\label{eqn:thr_flux_upper_bound}
    \begin{split}
    	\etotPW &\ge \sum_i \enzymei = \sum_i \frac{\fluxJ}{\kcati \left(1 - e^{-\theta_i}\right)} = \fluxJ \cdot \left( \sum_i \frac{1}{\kcati} \cdot \frac{1}{1 - e^{-\theta_i}} \right)
     \\
    \fluxJ &\le \etotPW \cdot \left( \sum_i \frac{1}{\kcati} \cdot \frac{1}{1 - e^{-\theta_i}} \right)^{-1} \,.
    \end{split}
\end{align}

Unfortunately, there is no closed-form analytic solution for the maximal rate of this thermodynamic rate law. But we do have something very close which requires rather simple computations. First, we need to invert the functional relationship between the overall driving force ($\thetatot$) and an auxiliary variable $\Psi$ which is defined by the inverse function of:
\begin{equation}\label{eqn:AnalyticalSolutions_thermodynamic_driving_force}
     \ln \left(\frac{\smet{0}}{\smet{n}} \Keqtot\right) = \thetatot = 2 \sum_i \ln\left(\sqrt{\Psi/\kcati} + \sqrt{1 + \Psi/\kcati} \right)
     \,.
\end{equation}

The expression on the right is analytic and strictly increasing in the range $\Psi \in [0, \infty)$, so there is a unique solution that can be found by simple numerical methods. Then, we can use that value to directly calculate the optimal driving forces, enzyme levels and pathway flux:
\begin{align}\label{eqn:AnalyticalSolutions_thermodynamic_flux}
    \begin{split}
    \opt{\theta_i} &= 2\ln\left(\frac{1}{\kcati}\left(1 + \sqrt{1 + \kcati/\Psi} \right) \right) + \ln\left( \Psi \kcati \right)
    \\
    \opt{\enzyme}_i
    &=
    \frac{\opt{J}}{2} \cdot \frac{1}{\kcati}\left(1 + \sqrt{1 + \kcati/\Psi} \right)
    \\
    \opt{\fluxJ} &= 2~\etotPW \cdot \left( \sum_i \frac{1}{\kcati} \left(1 + \sqrt{1 + \kcati/\Psi} \right) \right)^{-1}\,.
    \end{split}
\end{align}
The full derivation of this solution can be found in supplementary section \ref{Appendix:thermo1_derivation_minimum_demand}. An example of what the relationship between the driving force and the optimal flux looks like is illustrated in Figure \ref{Fig:ThermodynamicRateLawSolution} for a pathway with two enzymes. Furthermore, a comparison between our exact formula presented here and a numerical solution based on convex optimization \cite{NoorFlamholz2016} shows no difference at all.

These formulae cannot be directly evaluated because of the unknown parameter $\Psi$. To obtain solutions that do not depend on this parameter, we now consider two limiting cases in which $\Psi$ is either infinitely high (very high driving force) or infinitely low (very low driving force).

When the driving forces are very high (i.e. $\thetatot \rightarrow \infty$), the solution for $\Psi$ in Eq.~(\ref{eqn:AnalyticalSolutions_thermodynamic_driving_force}) will approach infinity and  the optimal flux becomes
\begin{equation}\label{eqn:AnalyticalSolutions_thermodynamic_large_force}
    \lim_{\thetatot \rightarrow \infty} \opt{\fluxJ}
    =
    \lim_{\Psi \rightarrow \infty} \frac{2~\etotPW}{\sum_i 1/\kcati \cdot \left(1 + \sqrt{1 + \kcati/\Psi} \right)}
    =
    \frac{\etotPW}{\sum_i 1/\kcati}
    =
    \etotPW \cdot \left(\normone{\parthr}\right)^{-1}
\end{equation}
with parameters $\parthr_i = 1/\kcati$ defined as before. This solution indeed makes sense as it is equivalent to the fully saturated limit in the Michaelis-Menten case (see Section \ref{Sec:MichaelisMenten}, Eq.~(\ref{eqn:PSA})).

However, when the driving force in the pathway is limited ($\Psi$ has a finite positive value), this driving force will be split between reactions according to their $\kcati$ values: enzymes with a higher $\kcati$ value will have to pay a higher penalty due to their driving force being closer to 0. On the other hand, slow enzymes will obtain more driving force, which will help them by having a smaller fraction of reverse flux. Notably, the distribution does \textit{not} depend on the reaction equilibrium constants (only on the overall $\Keqtot$). Perhaps this is not that surprising if we consider the fact that the concentrations intermediate substrates and products are unconstrained and therefore we have enough degrees of freedom to adjust to any value of $\Keqi$ as long as the total driving force stays the same.

One can also consider the other extreme where all reactions are close to equilibrium, which means that $\thetatot$ is close to 0 (and therefore also each $\theta_i \rightarrow 0$). In this case, we can approximate Eq.~(\ref{eqn:thr_flux_upper_bound}) by:
\begin{align}
    J \leq \etotPW \cdot \left( \sum_i \frac{1}{\kcati} \cdot \frac{1}{1 - e^{-\theta_i}} \right)^{-1} \approx \etotPW \cdot \left( \sum_i \frac{1}{\kcati~\theta_i} \right)^{-1}.
\end{align}
Maximizing $\fluxJ$ under the constraint $\sum_i \theta_i = \thetatot$ yields the solution (see the full derivation in supplementary section \ref{Appendix:sec:close_to_equilibrium}):
\begin{align}\label{eqn:AnalyticalSolutions_thermodynamic_small_force}
\begin{split}
    \opt{\theta_i}
    &\approx
    \thetatot ~ \frac{\sqrt{1/\kcati}}{\sum_i \sqrt{1/\kcati}}
    \\
    \opt{\fluxJ}
    &\approx
    \frac{\thetatot ~ \etotPW}{\left(\sum_i \sqrt{1/\kcat}\right)^{2}}
    =
    \etotPW \cdot \frac{\thetatot}{\normhalf{\parthr}}\,.
\end{split}
\end{align}

\begin{figure}[t!]
    \includegraphics[width=0.8\textwidth]{figure_4.pdf}
    \caption{The relationship between the maximal flux per enzyme and the overall driving force for the thermodynamic rate law. Even though we do not have a closed-form solution for $\opt{\fluxJ}$ as a function of $\thetatot$, we can still plot $\opt{\fluxJ}(\Psi)$ against $\thetatot(\Psi)$ for varying values of $\Psi$ using Eq.~(\ref{eqn:AnalyticalSolutions_thermodynamic_driving_force}) and Eq.~(\ref{eqn:AnalyticalSolutions_thermodynamic_flux}). Here, we show this relationship for a pathway with 2 steps (yellow). The parameters are: $\Keqi = 1$, $k^\mathrm{cat}_1 = 3~ s^{-1}$, and the $\kcat$ of the second enzyme is either (a) $k^\mathrm{cat}_2 = 100~ s^{-1}$ or (b) $k^\mathrm{cat}_2 = 2~ s^{-1}$. The orange dashed line represents the approximations for very small driving forces based on Eq.~(\ref{eqn:AnalyticalSolutions_thermodynamic_small_force}), and similarly in pink for very large driving forces as in Eq.~(\ref{eqn:AnalyticalSolutions_thermodynamic_large_force}). The approximation (dashed purple line) using Eq.~(\ref{eqn:ApproximateSolutions_thermodynamic_flux}) is based on effective parameters chosen to match the slope at $\thetatot = 0$ and the limiting maximal flux at $\thetatot \rightarrow \infty$ .}
    \label{Fig:ThermodynamicRateLawSolution}
\end{figure}

Using the two limiting cases ($\thetatot \rightarrow \infty$ and $\thetatot \approx 0$), we can approximate the solution from Eq.~(\ref{eqn:AnalyticalSolutions_thermodynamic_flux}) by a much simpler formula which has the same shape as the thermodynamic rate law for a single reaction:
\begin{align}\label{eqn:ApproximateSolutions_thermodynamic_flux}
    \opt{\fluxJ} &\approx \frac{\etotPW}{\normone{\parthr}} \left( 1 - \exp{
        \left(
        -\frac{\normone{\parthr}}{\normhalf{\parthr}} \thetatot \right)
    } \right)\,.
\end{align}
Figure \ref{Fig:ThermodynamicRateLawSolution} compares between the precise and approximate solution for two example cases (a more detailed comparison for metabolic pathways of different lengths and parameter choices is shown in supplementary section \ref{sec:AppApproximateThermodynamic}). One can appreciate that the two curves are nearly indistinguishable, illustrating the good quality of the approximation.

\subsubsection{Mass-action rate law}
\label{Sec:ReversibleMassAction}

Next, we consider the same unbranched pathway but assuming mass-action rate laws:
\begin{equation}\label{eqn:ana_ma}
	  \fluxi
    =
    \enzymei ~ \kcati/\kmi ~ (\smet{i-1} - \smet{i}/\Keqi)
    =
    \enzymei ~ \parmm_i^{-1} ~ (\smet{i-1} - \smet{i}/\Keqi)
    \,.
\end{equation}
As before, we defined $\parmm_i \equiv \kmi/\kcati$. Note that instead of Eq.~(\ref{eqn:mass_action_rate_law}) we use a form of the mass-action rate law that does not require the turnover rate and $\km$ of the product (and instead uses $\Keqi$), to avoid confusing indexation of forward and backward parameters.

Like with the previous rate laws, we define the pathway flux $\fluxJ$ and apply an upper bound on the total enzyme levels:
\begin{align}\label{eqn:ana_ma_flux_upper_bound}
    \begin{split}
    	\etotPW &\ge \sum_i \enzymei = \sum_i \frac{\fluxJ ~ \parmm_i}{ \smet{i-1} - \smet{i}/\Keqi} = \fluxJ \sum_i \frac{\parmm_i}{ \smet{i-1} - \smet{i}/\Keqi}
     \\
    \fluxJ &\le \etotPW \cdot \left( \sum_i \frac{\parmm_i}{\smet{i-1} - \smet{i}/\Keqi}\right)^{-1} \,.
    \end{split}
\end{align}
Again, we maximize the flux at a constrained total enzyme level. Optimization with  Lagrange multipliers yields  the following expressions for the optimal individual enzyme levels ($\opt{\enzyme_j}$) and the maximal flux ($\opt{\fluxJ}$) (see full derivation in supplementary section \ref{Appendix:ana_ma_derivation}):
\begin{align}\label{eqn:solutionMassAction}
    \begin{split}
        \opt{\enzyme}_j &= \etotPW ~ \sqrt{ \frac{\parma_j}{\normhalf{\parma}}}
        \\
        \opt{\fluxJ} &= \etotPW \cdot \frac{\smet{0}~\Keqtot - \smet{n}}{\normhalf{\parma}}
    \end{split}
\end{align}

where $\parma_j$ is defined as
\begin{align}
    \begin{split}
    \parma_i \equiv \parmm_i \prod_{j=i}^{n} \Keqj
    \end{split}
\end{align}

Of course, the exact value of this maximum depends on all the different system parameters. However, it is interesting to consider a na\"{i}ve assumption where all the $\parma_j$ parameters are identical.  In such a case, the flux in the pathway would decrease quadratically with the number of steps \cite{HeinrichSchuster2012}. Of course, we know that in real metabolic pathways the equilibrium constants are typically not close to 1, and therefore this approximation might not have many applications in biology.

What would happen if a mutation improved the catalytic rate of only one of the enzymes $\enzymei$ by a factor of $a$ (i.e. $\parmm_i$ decreases by a factor of $a$, but the equilibrium constant $\Keqi$ remains the same)? In this case, $\parma_i$ would be divided by $a$ but the optimal enzyme concentration for this reaction $\opt{\enzymei}$ would only decrease by a factor of $\sqrt{a}$. This saving would then be distributed proportionally among all the $n$ enzymes and would contribute to an increase in the pathway flux $\fluxJ$. On the flip side, if for some reason the activity of one enzyme is decreased by a multiplicative factor $b$, it would need to ``pay'' (increase the enzyme's concentration) only by a factor $\sqrt{b}$, and this increase would be ``funded'' by all of the enzymes together in order to keep the same $\etotPW$, thus lowering $\fluxJ$.

\subsubsection{Haldane rate law}
So far we analyzed three cases where all enzymes could be described by the same  kinetic rate law: mass-action, Michaelis-Menten, or thermodynamic. Although these rate laws can reliably describe some enzymes in specific conditions, it is very unlikely that such an approximation would apply to \textit{all} the reactions in a single pathway (except for the trivial case of a 1-reaction pathway). A more realistic model would allow all reactions to be reversible and saturable. Here, we will analyze such a case based on the factorized rate law with one substrate and one product. Note that although it is equivalent to Eq.~(\ref{eqn:hoh_cord}), we prefer this formulation because it is easier to separate thermodynamics from saturation effects.

\begin{equation}\label{eqn:SeparableRateLaw}
	\fluxi = \enzymei \cdot \kcati \cdot \left(1 - e^{-\theta_i}\right) \cdot \frac{ \smet{i-1}/K_{S,i}}{1 + \smet{i-1}/K_{S,i} + \smet{i}/K_{P,i}}\,.
\end{equation}

As always, we can assume that all fluxes are equal to $\fluxJ$, and use the total enzyme budget to get an upper bound:
\begin{align}
\begin{split}
    \etotPW \ge \sum_i \enzymei &= \sum_i \frac{\fluxJ}{\kcati \cdot \left(1 - e^{-\theta_i}\right) \cdot \frac{ \smet{i-1}/K_{S,i}}{1 + \smet{i-1}/K_{S,i} + \smet{i}/K_{P,i}}}
    \\
    &=
    \fluxJ \cdot \left( \sum_i\frac{1}{\kcati}
    \left(1 - e^{-\theta_i}\right)^{-1}
    \left( 1 + \frac{K_{S,i}}{\smet{i-1}} + \frac{\smet{i} K_{S,i} }{\smet{i-1} K_{P,i}} \right)
    \right)
    \\
    \fluxJ &\leq \etotPW \cdot
    \left(
    \sum_i \frac{1}{\kcati}
    \left(1 - e^{-\theta_i}\right)^{-1}
    \left( 1 + \frac{K_{S,i}}{\smet{i-1}} + \frac{\smet{i} K_{S,i} }{\smet{i-1} K_{P,i}} \right)
    \right)^{-1}
 \end{split}
\end{align}
where we can now appreciate how this is a generalization of both Eq.~(\ref{eqn:michaelis_menten_bound}) (Michaelis-Menten) and (\ref{eqn:thr_flux_upper_bound}) (thermodynamic). We can see that the maximal pathway flux would be realized when the term in parentheses is minimized with respect to the $\smet{i}$, i.e.:
\begin{align}
	\text{minimize}_{\vec{s}}\, \sum_i \frac{1}{\kcati} \left(1 - e^{-\theta_i(\vec{s})}\right)^{-1}
	\left( 1 + \frac{K_{\rm S,i}}{\smet{i-1}} + \frac{\smet{i} K_{\rm S,i} }{\smet{i-1} K_{\rm P,i}} \right)\,.
\end{align}

Unfortunately, as we already mentioned before, no analytic solution to this problem is known in the general case.

% -------------------------------------------------------------------
\subsection{Optimal metabolic states:  insights from Metabolic Control Analysis}

\subsubsection{Enzyme-control rule and enzyme-elasticity rule}

We now continue with some observations about the enzyme-control rule. The enzyme-control rule Eq.~(\ref{eq:EnzymeControlRule}) states that enzyme levels and flux control coefficients in optimal states are proportional:  $\opt{\enzyme}_i \propto \opt{\Cvi}$. When the aim is to compute control coefficients in optimal states  (at a given enzyme budget $\etotPW$), the enzyme-control rule comes in handy. The summation theorem tells us that the flux control coefficients must sum to 1; therefore, the optimal enzyme levels are given by the flux control coefficients, multiplied by the (predefined) total enzyme level, and we obtain the simple conversion $C^{\fluxJ*}_i = \frac{\opt{\enzyme}_i}{\etotPW}$ and $\opt{\enzyme}_i = \etotPW~C^{\fluxJ*}_i$. In the basic form of the rule we put a constraint on the enzyme mass, and assume that enzyme levels are mass densities. If the enzyme levels are molar concentrations, and differently weighted in the constraint, the weights can be taken into account by modifying the rule.

To what  types of optimality problems does the rule apply?   If the metabolic system is not an unbranched pathway, but a general network with one target flux, the rule will still hold (where the flux control coefficients refer to this target flux. This also holds for models with metabolite dilution. However, there are some limitations. Obviously, the rule cannot hold in states in which control coefficients are not defined. This condition may seem unproblematic, but it is actually violated in the pathway with Michaelis-Menten rate laws, because in the limit $\smet{i}\rightarrow \infty$ required by optimization, any variations of single enzyme levels would break the steady state. We discuss this in supplementary section \ref{sec:WhyEnzymeControlRuleFails}.

One way to avoid this problem is to add a bound on metabolite levels. For example, we may consider a generalized density constraint on enzyme levels and metabolite concentrations
\begin{eqnarray*}
\mbox{Maximize}\; \zweightv \cdot \vv \quad \mbox{s.t.}
\quad \aweightv \cdot \enzymev + \bweightv \cdot \vsmet \le \rho
\end{eqnarray*}
with a linear flux objective $\aweightv \cdot \enzymev$ instead of a single target flux,  and enzyme weights $a_{l}$ and metabolite weights $b_{i}$, and an upper bound $\rho$ on the molecule density. Problems with this constraint lead to a generalized form of the enzyme-control rule. For an unbranched pathway with equal weights $a$ for enzymes and equal weights $b$ for metabolites (e.g.~molecular masses), we obtain the new enzyme-control rule
\begin{align}
  \opt{\enzyme}_l = \etotPWopt~ C^{\fluxJ*}_l  - \opt{\fluxJ} ~ \frac{b}{a}~ \sum_i C^{\smet{i}*}_l
\end{align}
where the symbols $C^{\fluxJ*}_l$ and $C^{\smet{i}*}_l$ denote, respectively, the flux and control coefficients in the optimal state and, likewise, $\etotPWopt$ is the (non-fixed) sum of enzyme levels emerging in the optimal state. For derivation and details, see supplementary section \ref{sec:enzymeControlRuleWithMetabolites}.

The original enzyme-control rule has a direct and useful consequence. Since enzyme levels (in optimal states) are proportional to flux control coefficients, they need to satisfy a connectivity theorem. Connectivity theorems relate the elasticities of a given metabolite $i$ to control coefficients of the reactions around this metabolite. In the case of flux control coefficients, the right-hand side of the theorem is zero, and we obtain a simple equation for the optimal enzyme levels around a metabolite $i$:
\begin{equation}
  \label{eqn:connectivity_theorem_elasticities1inMain}
    \sum_j \enzyme_j \cdot E_{j,i} = 0\,,
\end{equation}
where $E_{j,i}=\partial v_{i}/\partial \smet{i}$ denotes the unscaled elasticity between metabolite $i$ and reaction $j$.

We call this formula the enzyme-elasticity rule (see supplementary section \ref{sec:EnzymeElasticityRule}). A similar rule for small adaptations of enzyme levels, instead of the enzyme levels themselves, had previously been shown in \cite{LiebermeisterKlipp2004}. For a linear pathway, the enzyme-elasticity rule yields a simple result: in an optimal state, for each metabolite $i$ and its producing reaction $j=i-1$ and its consuming reaction $i$, the ratio of enzyme levels $\frac{\enzyme_i}{\enzyme_{j}}$ must be equal to the absolute inverse ratio of the elasticities $|E_{c_i}^{v_{j}}/E_{c_i}^{v_i}|$.
An example of this, with the mass-action rate law, is derived in supplementary section \ref{sec:EnzymeElasticityRule}. In contrast to the enzyme-control rule (which yields only one equation for the entire pathway), the enzyme-elasticity rule yields an equation for every internal metabolite, which determines the ratio of the enzyme levels around this metabolite. Together with the known sum of enzyme levels, these rules determine the enzyme profile completely (of course, given all the elasticities in the optimal state).

\subsubsection{Analytic formulae for metabolic control}

We learned that enzyme levels in optimal states (with a bound on total enzyme, and maximizing the steady-state flux) satisfy two general laws, the enzyme-control rule and the enzyme-elasticity rule.
Hence, if we have a formula for the optimal enzyme levels, and if the enzyme-control rule applies, we obtain the flux control coefficients. Moreover, the enzyme-elasticity rule (which comes from the connectivity theorem) relates the optimal enzyme levels to elasticities. These formulae can be trusted, but for didactic reasons we set out to compute the control coefficients for some of the rate laws  analytically (also demonstrating different ways to compute them) and compared them to optimal enzyme levels. Here we summarize this briefly; details can be found in the supplementary text.

\begin{itemize}
  \item\textbf{Michaelis-Menten rate law}
In metabolic pathways with irreversible rate laws, the first reaction has usually full flux control and therefore a flux control coefficient of 1, while the remaining reactions of no flux control and therefore flux control coefficients of 0. But under an optimization, this changes. All metabolite levels go to infinity and all elasticities go zero. Mathematically, the optimal state doe not exist (because infinite concentrations are not real numbers), but even if we assume that enzymes could be saturated completely, any enzyme variation would break the steady state. This means that the control coefficients are not defined, and so the enzyme-control rule does not apply (see supplementary section \ref{sec:WhyEnzymeControlRuleFails}). To obtain meaningful results, we therefore studied an optimality problem with enzyme and metabolite  constraints. In this case, metabolite levels remain finite and the control coefficients remain defined.

\item\textbf{Thermodynamic rate law}
For pathway models with the thermodynamic rate law, we derived a simple formula for the flux control coefficients that contains only the enzyme levels, the $\kcat$ values, and the flux. Even if we don’t have a closed formula for the flux as a function of enzyme levels, we can obtain a closed formula for the flux control coefficients by using a trick. From the rate law, we first obtain a relation between enzyme levels, external metabolite levels, kinetic constants, and flux:
\begin{align}\label{eq:THsteadyConcentrations}
\prod_{i=1}^n (1 - \fluxJ / \enzymei \kcati) = \frac{\smet{n}}{\smet{0}}\frac{1}{\Keqtot}
\end{align}
(see Eq.~(\ref{Appendix:eqn:THsteadyConcentrations}) in the supplementary text for the derivation). While we cannot solve this for the flux $\fluxJ$  directly, we can obtain the response coefficients $R^\fluxJ_{\enzyme_l} = \partial \fluxJ/\partial \enzyme_l$ by implicit differentiation.
This yields the flux control coefficients (derivation in supplementary section \ref{sec:FLuxControlThermoRateLaw}):
\begin{align}\label{eqn:controlCoeffsThermodynamic1}
    C^\fluxJ_l = \frac{(\enzyme_l~\kcatl - \fluxJ)^{-1}}{\sum_{i=1}^n (\enzymei~\kcati - \fluxJ)^{-1}}.
\end{align}
The control coefficients are proportional to $(\enzyme_l~ \kcatl - \fluxJ)^{-1}$ and normalized to a sum of 1 as required by the summation theorem. For didactical reasons, we checked the connectivity theorem  (supplementary section \ref{sec:TDrateLawConnectivityTheorem}) and the enzyme-control rule (supplementary section \ref{sec:THenzymeControlRule}).

\item\textbf{Mass-action rate law}
With the reversible mass-action rate law, we can analytically compute the flux control coefficients and verify that they satisfy summation and connectivity theorems. To verify that the enzyme-control rule is satisfied in the optimal state, we use the explicit formula (\ref{eqn:ana_ma_flux_upper_bound}) for the steady-state flux and take derivatives to obtain the flux control coefficients
\begin{align}
    C^\fluxJ = \frac{\parma_l / \enzyme_l}{\sum_j \parma_j / \enzyme_j}
\end{align}
with $\parma_l$ defined as above (derivation in supplementary section \ref{sec:MAfluxControl}). The coefficients sum to 1 as required by the summation theorem. Again, we verified the connectivity theorem (supplementary section \ref{sec:MAfluxControlConnectivityTheorem}) and the enzyme-control rule (supplementary section \ref{sec:MAenzymeControlRule}) for didactical reasons.
\end{itemize}


\subsection{A cell model with enzyme kinetics and metabolite constraints}\label{sec:CellModel}

\begin{figure}[t!]
    \includegraphics[width=0.5\textwidth]{figure_5.pdf}
    \caption{A growing cell described as a chain of reactions. Top: Inspired by  the cell model in \cite{ScottGunderson2010} explaining ``bacterial growth laws'', we assume a fixed protein budget consisting of a fixed protein fraction and variable fractions for transporters, metabolic enzymes, and ribosomal proteins, but with a fixed sum. The proportions of the variable fractions are chosen to maximize growth. Bottom: The growing cell is described as a chain of reactions, each catalyzed by one of the protein fractions. For a constant biomass production, the three reactions must be in steady state.}
    \label{fig:CellModel}
\end{figure}


As an illustrative example, we apply our formulae to a simple model of growing cells, describing transport processes, metabolism, and macromolecule synthesis, respectively, by lumped reactions. Obviously, none of the rate laws considered throughout this work can fully capture the dynamics of growing cells. For example, having only one single reaction representing metabolism is a gross oversimplification (and likewise for transport and translation). Nevertheless, we might still be able to draw insights from this model if we make the right assumptions. This approach has been successful in the past: by considering simple cell models and assuming that enzyme efficiencies are constant (i.e.~completely independent of growth rate and metabolite concentrations), \citet{BasanHui2015} were able to show how overflow metabolism in \textit{E.~coli} corresponds to a proteome-efficient allocation of enzymes. Here we ask how the predictions would change by accounting for enzyme kinetics. Instead of assuming that enzyme efficiencies are constant and given, we consider a model in which protein allocation and metabolite concentrations are always optimized in order to maximize the growth rate.

In our simple cell model (Figure \ref{fig:CellModel}) production processes are represented by an unbranched chain of reactions, describing overall transport, overall metabolism, and protein synthesis. The steady-state fluxes are proportional to the cell growth rate and optimized under a constraint on the sum of enzyme levels ($\etotPW$) and another one on metabolite levels ($\Stot$). For convenience, in this section we will replace the pathway flux $\opt{\fluxJ}$ with the standard symbol $\growth$ for growth rate. It should be noted that dilution of the intermediate compounds is ignored even though in reality some of them can have a high total concentration (e.g., the precursors in $S_2$) and thus a considerable growth dilution rate which affects protein allocation strategies.

For our model, we chose to use the Michaelis-Menten approximation, which gives the most realistic results (although we also discuss the two other analytical solutions at the end of this section). Metabolite concentrations (as extra variables) can be adjusted and become part of the optimization problem. We then apply the formulae derived in the previous sections of this paper to find the optimal allocation of enzymes and thereby maximize the growth rate of the cell. Importantly, all calculations are completely based on analytic expressions.

In section \ref{Sec:MichaelisMenten}, we derived a formula for the optimal allocation and maximal flux in the case where all metabolite levels are free variables (including $\smet{0}$, which is denoted here by $s_\mathrm{sugar}$). However, since in this cell model $s_\mathrm{sugar}$ represents the concentration of an external nutrient that is not subject to optimization, we would like to treat it as a constant system parameter (and later show how the optimum responds to changes in it). Fortunately, adding this assumption changes the optimal solution only slightly, as described in supplementary section \ref{Appendix:sec:mm_with_fixed_s0}, and the optimal growth rate as a function of $s_\mathrm{sugar}$ can be written in the following simple form:
\begin{align}
\label{eq:CellMMfluxSolution1}
    \growth
    &=
    \growth^\mathrm{max} \cdot \frac{s_\mathrm{sugar}}{s_\mathrm{sugar} + K_\mathrm{Monod}}
\end{align}
where we define
\begin{align}\label{eq:CellMMfluxSolution2}
    \begin{split}
        \growth^\mathrm{max} &\equiv \frac{\etotPW}{
            1/\kcatx{\rm t} + 1/\kcatx{\rm m} + 1/\kcatx{\rm r} +
            \left(
                \sqrt{K_\mathrm{M;m}/\kcatx{\rm m}} + \sqrt{K_\mathrm{M;r}/\kcatx{\rm r}}
            \right)^2 / \Stot
        }
        \\
        K_\mathrm{Monod} &\equiv \frac{K_\mathrm{M;t} / \kcatx{\rm t}}{
            1/\kcatx{\rm t} + 1/\kcatx{\rm m} + 1/\kcatx{\rm r} +
            \left(
                \sqrt{K_\mathrm{M;m}/\kcatx{\rm m}} + \sqrt{K_\mathrm{M;r}/\kcatx{\rm r}}
            \right)^2 / \Stot
        } \,.
    \end{split}
\end{align}
As implied by the symbol for $K_\mathrm{Monod}$, this form corresponds to empirical observations by \citet{Monod1949} (and further followed up by others \cite{ShehataMarr1971}) which stated that growth rate increases with the nutrient concentration until reaching a saturation level where growth is fastest. Interestingly, the value of $K_\mathrm{Monod}$ (e.g.~the level of $s_\mathrm{sugar}$ for which growth rate is half of its maximum) is not determined solely by the kinetic parameters of the transporter.

To better understand how changes in the model parameters affect cell growth, we considered a toy example where all constants are set to a default value of 1 (except for $K_\mathrm{M;m} = 2$). In Figure \ref{fig:sensitivity_J_to_s0}, we plot the value of $\growth$ as a function of $s_\mathrm{sugar}$ (based on Eq.~(\ref{eq:CellMMfluxSolution1}-\ref{eq:CellMMfluxSolution2})), each time changing one of the parameters. In almost all cases we find a trade-off between growth and binding affinity, namely that improving the kinetics (or relaxing a constraint) improves the maximal growth rate while also increasing $K_\mathrm{Monod}$ (i.e.~making it worse since higher $K_\mathrm{Monod}$ means higher a concentration of sugar is required to reach the same growth rate). The three exceptions are the response to changes in $\etotPW$ which only affects $\growth^\mathrm{max}$, in $\kmx{t}$, which only affects the $K_\mathrm{Monod}$, and in $\kcatx{\rm t}$, which can improve both growth parameters at the same time. Indeed, by observing the formulae in Eq.~(\ref{eq:CellMMfluxSolution2}), one can see that $\growth^\mathrm{max}$ and $K_\mathrm{Monod}$ are proportional, with a ratio given by $\etotPW/(K_\mathrm{M;t} / \kcatx{\rm t})$. Hence, all parameters that are only in the denominator should affect $\growth^\mathrm{max}$ and $K_\mathrm{Monod}$ in the same fashion (which leads to a trade-off), while the three parameters in the numerators have each their own unique effect.

\begin{figure}[t]
    \centering
    \includegraphics[width=0.7\textwidth]{figure_6.pdf}
    \caption{The optimal achievable flux in a cell model -- i.e.~the growth rate $\growth$ -- for a given total enzyme $\etotPW$. The model contains three irreversible steps based on Michaelis-Menten kinetics. The default parameters are $k^\mathrm{cat}_t = k^\mathrm{cat}_m = k^\mathrm{cat}_r = K_\mathrm{M;t} = K_\mathrm{M;r} = 1$, $K_\mathrm{M;m} = 2$, and the upper bounds are set to $\Stot = 1$, $\etotPW = 1$. The panel on the upper-left corner shows the maximal flux as a function of $s_\mathrm{sugar}$ for the default parameters. In each other panel, only one of the parameters is changed. The vertical dotted lines mark the $K_\mathrm{Monod}$ (i.e. the concentration of $s_\mathrm{sugar}$ where the flux is 50\% of the maximum). Note that the x-axis shows values on log-scale, and therefore the curves have a sigmoid-shape (rather than the familiar Monod-style). See supplementary Figure \ref{Appendix:fig:cell_model_demands} for plots of the enzyme demands.}
    \label{fig:sensitivity_J_to_s0}
\end{figure}

\begin{figure}[t]
    \centering
    \includegraphics[width=0.7\textwidth]{figure_7.pdf}
    \caption{The sizes of the three enzyme sectors ($\opt{\enzyme}_{\rm t}$, $\opt{\enzyme}_{\rm m}$, and $\opt{\enzyme}_{\rm r}$) as a function of the flux ($\opt{J}$) when the allocation is optimal. The default parameters are $k^\mathrm{cat}_t = k^\mathrm{cat}_m = k^\mathrm{cat}_r = 1$, $K_\mathrm{M;t} = K_\mathrm{M;r} = 1$, $K_\mathrm{M;m} = 2$ (we chose another value in order prevent the curves for $\enzyme_{\rm m}$ and $\enzyme_{\rm r}$ from overlapping), and the upper bounds are set to $\Stot = 1$, $\etotPW = 1$. In each panel only one of these parameters is changed. The gray shaded area marks growth rates that are higher than the maximum, $\growth^\mathrm{max}$. The linear protein allocation curves are caused by the irreversible transport step. In the optimization, this leads to constant optimal metabolite concentrations, and the protein fractions $\opt{\enzyme}_{\rm m}$ and $\opt{\enzyme}_{\rm r}$ must change proportionally with the flux. The line slopes are given by the enzyme efficiencies at the optimal metabolite concentrations, and the transporter fraction -- the residual of the protein budget -- must be a falling straight line.}
    \label{fig:sensitivity_Ei_to_J_opt}
\end{figure}

This result might have implications for the design of optimal enzyme regulation. As the rate of sugar transport is not affected by any of the metabolite concentrations inside the cytoplasm, the transport reaction acts as an information buffer in the sense that any changes in the external sugar concentration do not affect the optimal allocation of enzymes (and metabolites) within the cytoplasm. The only thing that changes is the relative abundance of the transporter versus all other (cytoplasmic) enzymes. This rule becomes clear when plotting the optimal enzyme allocations as a function of the pathway flux (i.e.~the growth rate), as shown in Figure \ref{fig:sensitivity_Ei_to_J_opt}. The two cytoplasmic fractions (metabolic enzymes and ribosomes) change proportionally and appear as straight lines that cross the axis origin. Since $\etotPW$ is a constant, the remainder (i.e. the level of the transporter) also decreases linearly with growth rate. These three straight lines extend only up to a point (where $\growth = \growth^\mathrm{max}$). This limit represents the fully saturated transporter, which has an efficiency of $\kcatx{\rm m}$ and therefore an optimal abundance of $\growth^\mathrm{max}/\kcatx{\rm m}$. Higher concentrations of $s_\mathrm{sugar}$ would not generate any further benefits.

In fact, the principle described above can be shown to be true in a much more general case. As long as one section of the metabolic network is ``isolated'' from the rest (i.e., connected only by irreversible steps), changes in the upstream parameters will affect the incoming flux, but would not change the optimal allocation of enzymes (and also not the metabolite concentrations). Curiously, in such cases our results predict, based on an underlying kinetic model, that the optimal protein efficiencies are independent of the external glucose concentration and, as a consequence, protein fractions vary linearly. Thus, our model predictions are very similar to ones from previous proteome allocation models that are based on empirical observations.

A series of irreversible steps is only one option for a simple model of cell growth. Alternatively, one might consider cells that live in environments that provide high metabolite concentrations, but a limiting overall thermodynamic driving force. In this case, applying our thermodynamic rate law with the approximation from Eq.~(\ref{Appendix:eqn:thermo_approximation}) in the supplementary text yields another simple growth formula:
\begin{align}
    \begin{split}
    \growth(s_\mathrm{sugar}) &= \growth^\mathrm{max}\left(1 - \left(\frac{A}{s_\mathrm{sugar}}\right)^B\right)
    \\
    \growth^\mathrm{max} &\equiv \etotPW \left(\sum_i 1/\kcati\right)^{-1}
    \end{split}
\end{align}
where $A \equiv \smet{n} \Keqtot$ and $B \equiv \left(\sum_i 1/\kcati\right)/\left(\sum_i 1/\sqrt{\kcati}\right)^2$. Again, the curve parameters depend on all the $\kcati$ values. In contrast to the Michaelis-Menten based growth formula in Eq.~(\ref{eq:CellMMfluxSolution2}), this formula is also sensitive to product concentrations ($\smet{n}$). This may become important close to chemical equilibrium, where product accumulation can decrease growth in a way that cannot be bypassed by any regulatory mechanisms. In this case, cells would profit from ``cleaner'' strains that remove the accumulating product, which has been proposed as a general mechanism that would encourage symbiosis \cite{GrosskopfSoyer2016}.

Finally, the last option to consider for an analytical cell growth model is based on the mass-action rate law. However, from Equation (\ref{eqn:solutionMassAction}) we can immediately see that in this case the optimal enzymes allocations are direct functions of the kinetic parameters and do not depend on $\smet{0}$ or $\smet{n}$. Therefore, when changing the sugar concentration, enzyme allocations will remain constant. Furthermore, the growth rate will be a linear function of $s_\mathrm{sugar}$, without any saturation behavior. This means there is no way to define $\growth^\mathrm{max}$ and $K_\mathrm{Monod}$ for the mass-action case.

\section{Discussion}

In this study we addressed the enzyme allocation problem in unbranched pathways analytically by considering several different rate-law approximations. Along the way, we learned that each approximation comes with its own idiosyncrasies. For instance, a model with Michaelis-Menten kinetics requires an extra metabolite constraint to obtain a valid optimal state, and the ``thermodynamic'' rate law requires inverting a function in order to find the value of the Lagrange multiplier. Fortunately, there is a very good approximate solution that works well across the entire range of driving forces.

For historical reasons, we solved the optimality problem under the assumption that there is a bound on the sum of enzyme abundances -- $\sum_i \enzymei \le \etotPW$ -- without explicitly specifying the units. The common interpretation would be that $\enzymei$ are \textit{molar} concentrations (where the symbol $\kcati$ represents the turnover numbers in units of 1 over time). However, the total \textit{mass} concentration of all pathway enzymes may be a better proxy for cost since crowding effects in the cytoplasm are often limiting the total mass concentration of all soluble proteins, including most enzymes. Furthermore, fast growing cells are often limited by the rate of protein elongation, and the molecular mass is nearly proportional to the gene length. Therefore, we usually think of $\enzymei$ as \textit{mass} concentrations (e.g.~in $\mathrm{g} \times \mathrm{m}^{-3}$) and of $\kcati$ as specific activities (e.g.~in $\mathrm{mol} \times \mathrm{s}^{-1} \times \mathrm{g}^{-1}$). Nevertheless, the analytic derivation and solutions provided here are agnostic to the choice of units and are equally valid for both these interpretations. Moreover, one could imagine a completely different set of linear weights for the enzyme cost function (i.e.~ $\sum_i w_i~\enzymei \leq \etotPW$, as in Figure \ref{fig:CellModel}). If one thinks of the weights as scaling factors for the $\kcat$ values, the provided solutions will still hold (while making use of the new ``effective'' $\kcat$ values).

Previous studies focused on the ``mass-action'' rate law, justifying it by saying that the general reversible form derived by Haldane can be approximated at the limit of low concentrations. However, it is quite rare to have all the substrates and products of an enzyme at concentrations that are way below their $\km$ values \cite{BennettKimball2009}. Furthermore, the limit of all reactants concentrations going to zero is not very meaningful because, in the first place, Haldane derived his rate law assuming enzymes are much less abundant than metabolites \cite{Haldane1930}. Interestingly, just being close-to-equilibrium is not enough for this approximation, since the product can still affect the rate non-linearly via $\etakin$ (see Figure \ref{fig:RateLaws}). Here we tried to consider more comprehensively all the different approximations that yield an analytic solution to optimal enzyme allocation in unbranched pathways (see Table \ref{tab:AnalyticalFormulae1}).

One of these approximations is the Michaelis-Menten rate law, which is widely used in enzymatic assays and metabolic modeling of irreversible reactions. Curiously, using it for the simple optimality problem with linear chains leads to paradoxical results: the metabolite concentrations go to infinity, the elasticities vanish, and flux control coefficients are not defined. For solving this problem, we introduced a new upper bound on the total metabolite concentration in order to obtain realistic results and derive analytic solutions based on this rate law. Although it is very reasonable to assume that concentrations of small molecules (and not just enzymes) are restricted in cells, this fact is often ignored in metabolic models. One of the rare cases where this constraint was taken into account is the work of \citet{DouradoMaurino2017}, who found empirical evidence to the fact that there is a balance between enzymes and substrates when minimizing the total mass concentration. In addition to an analytic solution, we also found a new enzyme-control rule for models with a constraint on enzyme and metabolite concentrations: in this case, the enzyme amounts do not only reflect the flux control coefficients, but a sum of flux and concentration control coefficients (see supplementary section \ref{sec:enzymeControlRuleWithMetabolites}).

Besides ``mass-action'' and Michaelis-Menten kinetics, we discussed a solution for one other rate law which we call \textit{thermodynamic}, as the rate is only affected by metabolite levels through the thermodynamic driving force (i.e.~ignoring any saturation effects). One advantage of this rate law is that it does not require knowing the $\km$ values (which are often difficult to come by). The thermodynamic-only approximation was also used for justifying the Max-min Driving Force (MDF) method (as described in supplementary section \ref{Appendix:sec:mdf}), which similarly aims to quantify the efficiency of metabolic pathways \cite{NoorBarEven2014}. But, unlike the solution presented here, MDF does not explicitly optimize a simplified version of a kinetic rate law, but rather applies a heuristic based on the assumption that the lowest driving forces are mainly responsible for increased enzyme demands, and the total driving force should therefore be as evenly distributed as possible. On the other hand, the advantage of the MDF method is that it takes metabolite concentration bounds into consideration.

All throughout this paper, we only considered pathways with uni-uni reactions (one substrate, one product, with stoichiometric coefficients of 1). In reality, many reactions involve co-factor pairs or other substrates or products. Instead of deriving results for this general case, we assumed that these extra reactants exist, but with known concentrations. In this case, the rate laws contain extra terms, but these terms can be rearranged to yield the same simple formulae as in the uni-uni case, using \textit{effective} kinetic constants. We demonstrate this for the case of two substrates and two products following convenience kinetics \cite{LiebermeisterKlipp2006} in supplementary section \ref{sec:Appendix:effectiveKineticConstants}. Notably, this logic also applies to reactions with more than two substrates and products as well as to enzyme activation or inhibition with constant activator or inhibitor levels.

This paper can be seen as an exercise in solving the enzyme allocation problem and describing the optimal states analytically using MCA. Although some might argue that the required approximations are not realistic, they do represent a step forward compared to the very common approach of assuming that metabolites have no effect on enzyme efficiency at all. On the other hand, adding metabolite concentrations as extra variables greatly increases the complexity of models and typically renders them unsolvable. Therefore, the solutions provided here might be handy, as the assumption of metabolite steady-state combined with the optimality argument give us analytic expressions that only depend on the initial and final metabolites in the pathway. We demonstrate this result using a toy example for a course-grained model of cell growth, and show how the analytic solutions provide valuable insights about the effects of changes in each parameter -- all this without the need to simulate the metabolic network or use non-linear solvers. One could imagine a scenario where metabolic engineers, while trying to improve a biochemical pathway, have to decide in which enzyme to invest their time. Although MCA can perfectly serve this purpose while covering more scenarios, it requires tools and language that can seem opaque to people lacking the proper mathematical background. The solutions provided here should be more approachable and serve as simple guidelines while capturing a wider range of cases than previously explored in the literature. We hope that future studies will apply and extend this approach to other, more complex models.


\section*{Acknowledgments}
This article has originally been conceived as a chapter for the free textbook ``Economic Principles in Cell Biology''. A shorter chapter version will be published there. We thank Daan de Groot and Avi Flamholz for their insightful comments on our manuscript.

\bibliographystyle{unsrtnat}
\bibliography{bibliography}

\end{document}
